Supply agents
Approve or reject paying an invoice
Approve or reject paying an invoice.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Path Parameters
invoice_id*string
Format
uuidQuery Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
approve*boolean
note?string
Length
length <= 1000Default
""Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/supplier-invoices/497f6eca-6276-4993-bfeb-53cbbbba6f08/approve-payment" \ -H "Content-Type: application/json" \ -d '{ "approve": true }'{ "data": {}, "meta": {}, "success": true}